Opened 6 months ago

Closed 2 months ago

#6404 closed defect (fixed)

302 Moved Temporarily Url dont work

Reported by: mobifon Owned by:
Priority: normal Component: avformat
Version: git-master Keywords: http
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

Summary of the bug:
How to reproduce:

ffmpeg -y -loglevel trace -i  http://cdnapi.kaltura.com/p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081           
ffmpeg version N-86117-gb7b02aebec Copyright (c) 2000-2017 the FFmpeg developers
  built with gcc 6.3.0 (Gentoo 6.3.0 p1.0)
  configuration: --prefix=/usr --libdir=/usr/lib64 --shlibdir=/usr/lib64 --mandir=/usr/share/man --enable-shared --cc=x86_64-pc-linux-gnu-gcc --cxx=x86_64-pc-linux-gnu-g++ --ar=x86_64-pc-linux-gnu-ar --optflags='-march=corei7 -mtune=corei7 -O3 -pipe -fno-builtin-strlen' --extra-cflags='-march=corei7 -mtune=corei7 -O3 -pipe -fno-builtin-strlen' --extra-cxxflags='-march=corei7 -mtune=corei7 -O3 -pipe -fno-builtin-strlen' --disable-static --enable-avfilter --enable-avresample --disable-stripping --enable-nonfree --enable-libxml2 --enable-demuxer=hds --enable-demuxer=dash --disable-indev=oss --disable-indev=jack --disable-outdev=oss --enable-bzlib --disable-runtime-cpudetect --disable-debug --disable-doc --disable-gnutls --enable-gpl --enable-iconv --disable-lzma --enable-network --enable-openssl --enable-postproc --disable-libsmbclient --enable-ffplay --enable-vaapi --disable-vdpau --enable-xlib --enable-libxcb --enable-libxcb-shm --enable-libxcb-xfixes --enable-zlib --disable-libcdio --disable-libiec61883 --disable-libdc1394 --disable-libcaca --disable-openal --enable-opengl --disable-libv4l2 --disable-libpulse --disable-libopencore-amrwb --disable-libopencore-amrnb --disable-libfdk-aac --disable-libopenjpeg --disable-libbluray --disable-libcelt --disable-libgme --disable-libgsm --disable-libmodplug --enable-libopus --enable-librtmp --disable-libssh --disable-libschroedinger --disable-libspeex --enable-libvorbis --enable-libvpx --disable-libzvbi --disable-libbs2b --disable-libflite --disable-frei0r --disable-libfribidi --disable-fontconfig --disable-ladspa --disable-libass --enable-libfreetype --disable-libsoxr --enable-pthreads --disable-libvo-amrwbenc --enable-libmp3lame --enable-libtheora --disable-libtwolame --disable-libwavpack --disable-libwebp --enable-libx264 --disable-libx265 --enable-libxvid --disable-amd3dnow --disable-amd3dnowext --disable-avx --disable-avx2 --disable-fma3 --disable-fma4 --disable-xop --enable-pic --cpu=corei7
  libavutil      55. 63.100 / 55. 63.100
  libavcodec     57. 96.101 / 57. 96.101
  libavformat    57. 72.101 / 57. 72.101
  libavdevice    57.  7.100 / 57.  7.100
  libavfilter     6. 90.100 /  6. 90.100
  libavresample   3.  6.  0 /  3.  6.  0
  libswscale      4.  7.101 /  4.  7.101
  libswresample   2.  8.100 /  2.  8.100
  libpostproc    54.  6.100 / 54.  6.100
Splitting the commandline.
Reading option '-y' ... matched as option 'y' (overwrite output files) with argument '1'.                                                                                                                       
Reading option '-loglevel' ... matched as option 'loglevel' (set logging level) with argument 'trace'.                                                                                                          
Reading option '-i' ... matched as input url with argument 'http://cdnapi.kaltura.com/p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081'.                    
Finished splitting the commandline.                                                                                                                                                                             
Parsing a group of options: global .                                                                                                                                                                            
Applying option y (overwrite output files) with argument 1.                                                                                                                                                     
Applying option loglevel (set logging level) with argument trace.                                                                                                                                               
Successfully parsed a group of options.                                                                                                                                                                         
Parsing a group of options: input url http://cdnapi.kaltura.com/p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081.                                           
Successfully parsed a group of options.                                                                                                                                                                         
Opening an input file: http://cdnapi.kaltura.com/p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081.                                                          
[http @ 0x65ac50] Setting default whitelist 'http,https,tls,rtp,tcp,udp,crypto,httpproxy'                                                                                                                       
[http @ 0x65ac50] request: GET /p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081 HTTP/1.1                                                                   
User-Agent: Lavf/57.72.101                                                                                                                                                                                      
Accept: */*                                                                                                                                                                                                     
Range: bytes=0-                                                                                                                                                                                                 
Connection: close                                                                                                                                                                                               
Host: cdnapi.kaltura.com                                                                                                                                                                                        
Icy-MetaData: 1                                                                                                                                                                                                 


[http @ 0x65ac50] header='HTTP/1.1 302 Moved Temporarily'
[http @ 0x65ac50] http_code=302
[http @ 0x65ac50] header='Server: Apache'
[http @ 0x65ac50] header='X-Me: ny-front-api44'
[http @ 0x65ac50] header='X-Kaltura: cached-dispatcher,playManifest-4812f79c56fd8f110dab0ffeed852a32,0.0013961791992188'
[http @ 0x65ac50] header='Location: http://chip-a.akamaihd.net/p/1741931/sp/174193100/serveFlavor/entryId/0_p9t9o3a3/v/12/flavorId/0_4bs4kcvb/name/a.mp4'
[http @ 0x65ac50] header='Access-Control-Allow-Origin: *'
[http @ 0x65ac50] header='Access-Control-Expose-Headers: Server,range,Content-Length,Content-Range'
[http @ 0x65ac50] header='Last-Modified: Fri, 19 May 2017 13:32:13 GMT'
[http @ 0x65ac50] header='Content-Encoding: gzip'
[http @ 0x65ac50] header='Content-Length: 21'
[http @ 0x65ac50] header='Content-Type: text/html'
[http @ 0x65ac50] header='Cache-Control: private, max-age=15'
[http @ 0x65ac50] header='Expires: Fri, 19 May 2017 14:38:01 GMT'
[http @ 0x65ac50] header='Date: Fri, 19 May 2017 14:37:46 GMT'
[http @ 0x65ac50] header='Connection: close'
[http @ 0x65ac50] header=''
[http @ 0x65ac50] request: GET /p/1741931/sp/174193100/serveFlavor/entryId/0_p9t9o3a3/v/12/flavorId/0_4bs4kcvb/name/a.mp4 HTTP/1.1
User-Agent: Lavf/57.72.101
Accept: */*
Range: bytes=0-
Connection: close
Host: chip-a.akamaihd.net
Icy-MetaData: 1


[http @ 0x65ac50] header='HTTP/1.1 206 Partial Content'
[http @ 0x65ac50] http_code=206
[http @ 0x65ac50] header='Server: nginx/1.8.0'
[http @ 0x65ac50] header='Content-Type: video/mp4'
[http @ 0x65ac50] header='Last-Modified: Sun, 19 Nov 2000 08:52:00 GMT'
[http @ 0x65ac50] header='ETag: "3a1794b0-3a2b40"'
[http @ 0x65ac50] header='X-Vod-Me: ny-front-vod4'
[http @ 0x65ac50] header='X-Vod-Session: 328908426'
[http @ 0x65ac50] header='Access-Control-Allow-Headers: Origin,Range,Accept-Encoding,Referer,Cache-Control'
[http @ 0x65ac50] header='Access-Control-Expose-Headers: Server,Content-Length,Content-Range,Date'
[http @ 0x65ac50] header='Access-Control-Allow-Methods: GET, HEAD, OPTIONS'
[http @ 0x65ac50] header='Access-Control-Allow-Origin: *'
[http @ 0x65ac50] header='Accept-Ranges: bytes'
[http @ 0x65ac50] header='Cache-Control: max-age=1380520'
[http @ 0x65ac50] header='Expires: Sun, 04 Jun 2017 14:06:26 GMT'
[http @ 0x65ac50] header='Date: Fri, 19 May 2017 14:37:46 GMT'
[http @ 0x65ac50] header='Content-Range: bytes 0-3812159/3812160'
[http @ 0x65ac50] header='Content-Length: 3812160'
[http @ 0x65ac50] header='Connection: close'
[http @ 0x65ac50] header=''
[http @ 0x65ac50] inflate return value: -3, unknown compression method
    Last message repeated 15 times
[AVIOContext @ 0x65e400] Statistics: 0 bytes read, 0 seeks
http://cdnapi.kaltura.com/p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081: Invalid data found when processing input

Change History (3)

comment:1 Changed 6 months ago by mobifon

[00007f72a40013c8] core stream debug: creating access: http://cdnapi.kaltura.com/p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081
[00007f72a40013c8] core stream debug: looking for access module matching "http": 22 candidates
[0000000000681868] dbus interface debug: Getting property Volume
[0000000000681868] dbus interface debug: Getting property PlaybackStatus?
[0000000000681868] dbus interface debug: Getting property Identity
[0000000000681868] dbus interface debug: Getting property Volume
[0000000000681868] dbus interface debug: Getting property PlaybackStatus?
[00007f72a40013c8] connmgr stream debug: resolving cdnapi.kaltura.com ...
[0000000000681868] dbus interface debug: Getting All properties
[0000000000681868] dbus interface debug: Getting All properties
[00007f7294000978] core meta fetcher debug: looking for meta fetcher module matching "any": 0 candidates
[00007f7294000978] core meta fetcher debug: no meta fetcher modules
[00007f7294000978] core art finder debug: looking for art finder module matching "any": 1 candidates
[00007f7294000978] core art finder debug: no art finder modules matched
[00007f729c000be8] core meta fetcher debug: looking for meta fetcher module matching "any": 0 candidates
[00007f729c000be8] core meta fetcher debug: no meta fetcher modules
[00007f729c000be8] core art finder debug: looking for art finder module matching "any": 1 candidates
[00007f729c000be8] core art finder debug: no art finder modules matched
[00007f72a40013c8] connmgr stream debug: outgoing request:
GET /p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081 HTTP/1.1
Host: cdnapi.kaltura.com
Accept: */*
Accept-Language: de
User-Agent: VLC/3.0.0-git LibVLC/3.0.0-git
Range: bytes=0-

[00007f72a40013c8] connmgr stream debug: incoming response:
HTTP/1.1 302 Moved Temporarily
Server: Apache
X-Me: ny-front-api24
X-Kaltura: cached-dispatcher,playManifest-4812f79c56fd8f110dab0ffeed852a32,0.0016448497772217
Location: http://chip-a.akamaihd.net/p/1741931/sp/174193100/serveFlavor/entryId/0_p9t9o3a3/v/12/flavorId/0_4bs4kcvb/name/a.mp4
Access-Control-Allow-Origin: *
Access-Control-Expose-Headers: Server,range,Content-Length,Content-Range
Last-Modified: Tue, 30 May 2017 17:59:22 GMT
Content-Encoding: gzip
Content-Length: 21
Content-Type: text/html
Cache-Control: private, max-age=57
Expires: Wed, 31 May 2017 08:58:34 GMT
Date: Wed, 31 May 2017 08:57:37 GMT
Connection: keep-alive

[00007f72a40013c8] core stream debug: no access modules matched
[00007f72a40013c8] core stream debug: redirecting to: http://chip-a.akamaihd.net/p/1741931/sp/174193100/serveFlavor/entryId/0_p9t9o3a3/v/12/flavorId/0_4bs4kcvb/name/a.mp4
[00007f72a40013c8] core stream debug: creating access: http://chip-a.akamaihd.net/p/1741931/sp/174193100/serveFlavor/entryId/0_p9t9o3a3/v/12/flavorId/0_4bs4kcvb/name/a.mp4
[00007f72a40013c8] core stream debug: looking for access module matching "http": 22 candidates
[00007f72a40013c8] connmgr stream debug: resolving chip-a.akamaihd.net ...
[00007f72a40013c8] connmgr stream debug: outgoing request:
GET /p/1741931/sp/174193100/serveFlavor/entryId/0_p9t9o3a3/v/12/flavorId/0_4bs4kcvb/name/a.mp4 HTTP/1.1
Host: chip-a.akamaihd.net
Accept: */*
Accept-Language: de
User-Agent: VLC/3.0.0-git LibVLC/3.0.0-git
Range: bytes=0-

[00007f72a40013c8] connmgr stream debug: incoming response:
HTTP/1.1 206 Partial Content
Last-Modified: Sun, 19 Nov 2000 08:52:00 GMT
ETag: "3a1794b0-3a2b40"
Server: nginx/1.8.0
Content-Type: video/mp4
X-Vod-Me: ny-front-vod4
X-Vod-Session: 328908426
Access-Control-Allow-Headers: Origin,Range,Accept-Encoding,Referer,Cache-Control
Access-Control-Expose-Headers: Server,Content-Length,Content-Range,Date
Access-Control-Allow-Methods: GET, HEAD, OPTIONS
Access-Control-Allow-Origin: *
Accept-Ranges: bytes
Cache-Control: max-age=8018200
Expires: Fri, 01 Sep 2017 04:14:17 GMT
Date: Wed, 31 May 2017 08:57:37 GMT
Content-Range: bytes 0-3812159/3812160
Content-Length: 3812160
Connection: keep-alive

[00007f72a40013c8] core stream debug: using access module "access"
[00007f72a4002578] core stream debug: looking for stream_filter module matching "prefetch,cache_block": 10 candidates
[00007f72a4002578] prefetch stream debug: using 3812160 bytes buffer, 16384 bytes read
[00007f72a4002578] core stream debug: using stream_filter module "prefetch"
[00007f72a4002808] core stream debug: looking for stream_filter module matching "any": 10 candidates
[00007f72a4002808] core stream debug: no stream_filter modules matched
[00007f72a4001858] core stream_directory debug: looking for stream_directory module matching "any": 1 candidates
[00007f72a4001858] core stream_directory debug: no stream_directory modules matched
[00007f72a4000d48] core input source debug: attach of directory extractor failed
[00007f72a40029c8] core stream debug: looking for stream_filter module matching "record": 10 candidates
[00007f72a40029c8] core stream debug: using stream_filter module "record"
[00007f72a4000d48] core input source debug: creating demux: access='http' demux='any' location='cdnapi.kaltura.com/p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081' file='(null)'
[00007f72a4002c18] core demux debug: looking for demux module matching "any": 62 candidates
[00007f72a4002c18] mp4 demux debug: ISO Media (isom) version 512.
[00007f72a4002c18] mp4 demux debug: added fragment moov
[00007f72a40029c8] mp4 stream debug: dumping root Box "root"
[00007f72a40029c8] mp4 stream debug: | + ftyp size 32 offset 0
[00007f72a40029c8] mp4 stream debug: | + moov size 42573 offset 32
[00007f72a40029c8] mp4 stream debug: | | + mvhd size 108 offset 40
[00007f72a40029c8] mp4 stream debug: | | + trak size 28776 offset 148
[00007f72a40029c8] mp4 stream debug: | | | + tkhd size 92 offset 156
[00007f72a40029c8] mp4 stream debug: | | | + edts size 36 offset 248
[00007f72a40029c8] mp4 stream debug: | | | | + elst size 28 offset 256
[00007f72a40029c8] mp4 stream debug: | | | + mdia size 28640 offset 284
[00007f72a40029c8] mp4 stream debug: | | | | + mdhd size 32 offset 292
[00007f72a40029c8] mp4 stream debug: | | | | + hdlr size 45 offset 324
[00007f72a40029c8] mp4 stream debug: | | | | + minf size 28555 offset 369
[00007f72a40029c8] mp4 stream debug: | | | | | + smhd size 16 offset 377
[00007f72a40029c8] mp4 stream debug: | | | | | + dinf size 36 offset 393
[00007f72a40029c8] mp4 stream debug: | | | | | | + dref size 28 offset 401
[00007f72a40029c8] mp4 stream debug: | | | | | | | + url size 12 offset 417
[00007f72a40029c8] mp4 stream debug: | | | | | + stbl size 28495 offset 429
[00007f72a40029c8] mp4 stream debug: | | | | | | + stsd size 103 offset 437
[00007f72a40029c8] mp4 stream debug: | | | | | | | + mp4a size 87 offset 453
[00007f72a40029c8] mp4 stream debug: | | | | | | | | + esds size 51 offset 489
[00007f72a40029c8] mp4 stream debug: | | | | | | + stts size 32 offset 540
[00007f72a40029c8] mp4 stream debug: | | | | | | + stsc size 10756 offset 572
[00007f72a40029c8] mp4 stream debug: | | | | | | + stsz size 11132 offset 11328
[00007f72a40029c8] mp4 stream debug: | | | | | | + stco size 6464 offset 22460
[00007f72a40029c8] mp4 stream debug: | | + trak size 13583 offset 28924
[00007f72a40029c8] mp4 stream debug: | | | + tkhd size 92 offset 28932
[00007f72a40029c8] mp4 stream debug: | | | + edts size 36 offset 29024
[00007f72a40029c8] mp4 stream debug: | | | | + elst size 28 offset 29032
[00007f72a40029c8] mp4 stream debug: | | | + mdia size 13447 offset 29060
[00007f72a40029c8] mp4 stream debug: | | | | + mdhd size 32 offset 29068
[00007f72a40029c8] mp4 stream debug: | | | | + hdlr size 45 offset 29100
[00007f72a40029c8] mp4 stream debug: | | | | + minf size 13362 offset 29145
[00007f72a40029c8] mp4 stream debug: | | | | | + vmhd size 20 offset 29153
[00007f72a40029c8] mp4 stream debug: | | | | | + dinf size 36 offset 29173
[00007f72a40029c8] mp4 stream debug: | | | | | | + dref size 28 offset 29181
[00007f72a40029c8] mp4 stream debug: | | | | | | | + url size 12 offset 29197
[00007f72a40029c8] mp4 stream debug: | | | | | + stbl size 13298 offset 29209
[00007f72a40029c8] mp4 stream debug: | | | | | | + stsd size 166 offset 29217
[00007f72a40029c8] mp4 stream debug: | | | | | | | + avc1 size 150 offset 29233
[00007f72a40029c8] mp4 stream debug: | | | | | | | | + avcC size 48 offset 29319
[00007f72a40029c8] mp4 stream debug: | | | | | | | | + pasp size 16 offset 29367
[00007f72a40029c8] mp4 stream debug: | | | | | | + stts size 24 offset 29383
[00007f72a40029c8] mp4 stream debug: | | | | | | + stss size 148 offset 29407
[00007f72a40029c8] mp4 stream debug: | | | | | | + stsc size 28 offset 29555
[00007f72a40029c8] mp4 stream debug: | | | | | | + stsz size 6464 offset 29583
[00007f72a40029c8] mp4 stream debug: | | | | | | + stco size 6460 offset 36047
[00007f72a40029c8] mp4 stream debug: | | + udta size 98 offset 42507
[00007f72a40029c8] mp4 stream debug: | | | + meta size 90 offset 42515
[00007f72a40029c8] mp4 stream debug: | | | | + hdlr size 33 offset 42527
[00007f72a40029c8] mp4 stream debug: | | | | + ilst size 45 offset 42560
[00007f72a40029c8] mp4 stream debug: | | | | | + ctoo size 37 offset 42568
[00007f72a40029c8] mp4 stream debug: | | | | | | + data size 29 offset 42576
[00007f72a40029c8] mp4 stream debug: | + free size 8 offset 42605
[00007f72a40029c8] mp4 stream debug: | + mdat size 3769547 offset 42613
[00007f72a4002c18] mp4 demux debug: found 2 tracks
[00007f72a4002c18] mp4 demux warning: elst box found
[00007f72a4002c18] mp4 demux debug: - [0] duration=64448ms media time=46ms) rate=1.0
[00007f72a4002c18] mp4 demux debug: track[Id 0x1] read 1612 chunk
[00007f72a4002c18] mp4 demux warning: STTS table of 2 entries
[00007f72a4002c18] mp4 demux debug: track[Id 0x1] read 2778 samples length:64s
[00007f72ac0009d8] core input debug: selecting program id=0
[00007f72a4002c18] mp4 demux debug: adding track[Id 0x1] audio (enable) language undef
[00007f72a4002c18] mp4 demux warning: elst box found
[00007f72a4002c18] mp4 demux debug: - [0] duration=64440ms media time=0ms) rate=1.0
[00007f72a4002c18] mp4 demux debug: track[Id 0x2] read 1611 chunk
[00007f72a4002c18] mp4 demux warning: STTS table of 1 entries
[00007f72a4002c18] mp4 demux debug: track[Id 0x2] read 1611 samples length:64s
[00007f72a4002c18] mp4 demux debug: adding track[Id 0x2] video (enable) language undef
[00007f72a4002c18] core demux debug: using demux module "mp4"
[00007f72a443fc28] core decoder debug: looking for decoder module matching "any": 41 candidates
[00007f72a443fc28] avcodec decoder debug: CPU flags: 0x000013db
[00007f72a443fc28] avcodec decoder debug: codec (aac) started
[00007f72a443fc28] core decoder debug: using decoder module "avcodec"
[00007f72a44d40d8] core decoder debug: looking for decoder module matching "any": 41 candidates
[00007f72a44d40d8] avcodec decoder debug: CPU flags: 0x000013db
[00007f72a44d40d8] avcodec decoder debug: allowing 4 thread(s) for decoding
[00007f72a44d40d8] avcodec decoder debug: codec (h264) started
[00007f72a44d40d8] avcodec decoder debug: using frame thread mode with 4 threads
[00007f72a44d40d8] core decoder debug: using decoder module "avcodec"
[00007f72a456fab8] core demux meta debug: looking for meta reader module matching "any": 0 candidates
[00007f72a456fab8] core demux meta debug: no meta reader modules
[00007f72ac0009d8] core input debug: `http://cdnapi.kaltura.com/p/1741931/sp/174193100/playManifest/entryId/0_p9t9o3a3/format/url/protocol/http/flavorParamId/487081' successfully opened
[00007f72a4002c18] mp4 demux debug: elst (0) gives 0ms (movie)-> 46ms (track)
[00007f72a4002c18] mp4 demux debug: elst (0) gives 0ms (movie)-> 0ms (track)
[00007f72a4002c18] mp4 demux debug: track[Id 0x2] using Sync Sample Box (stss)
[00007f72a4002c18] mp4 demux debug: stss gives 0 --> 0 (sample number)
[00007f72ac0009d8] core input debug: Buffering 0%
[0000000000607648] core playlist debug: reusing audio output
[00007f72a40013c8] connmgr stream debug: resolving chip-a.akamaihd.net ...
[000000000067fea8] alsa audio output debug: using ALSA device: default
[000000000067fea8] alsa audio output debug: Plug PCM: Direct Stream Mixing PCM
Hardware PCM card 0 'USB Audio DAC' device 0 subdevice 0
Its setup is:

stream : PLAYBACK
access : MMAP_INTERLEAVED
format : S16_LE
subformat : STD
channels : 2
rate : 48000
exact rate : 48000 (48000/1)
msbits : 16
buffer_size : 16384
period_size : 1024
period_time : 21333
tstamp_mode : ENABLE
tstamp_type : MONOTONIC
period_step : 1
avail_min : 1024
period_event : 0
start_threshold : 1
stop_threshold : 4611686018427387904
silence_threshold: 0
silence_size : 4611686018427387904
boundary : 4611686018427387904
appl_ptr : 0
hw_ptr : 0

[000000000067fea8] alsa audio output debug: device name : USB Audio
[000000000067fea8] alsa audio output debug: device ID : USB Audio
[000000000067fea8] alsa audio output debug: subdevice name: subdevice #0
[000000000067fea8] alsa audio output debug: initial hardware setup:
ACCESS: MMAP_INTERLEAVED MMAP_NONINTERLEAVED MMAP_COMPLEX RW_INTERLEAVED RW_NONINTERLEAVED
FORMAT: S8 U8 S16_LE S16_BE U16_LE U16_BE S24_LE S24_BE U24_LE U24_BE S32_LE S32_BE U32_LE U32_BE FLOAT_LE FLOAT_BE FLOAT64_LE FLOAT64_BE MU_LAW A_LAW IMA_ADPCM S24_3LE S24_3BE U24_3LE U24_3BE S20_3LE S20_3BE U20_3LE U20_3BE S18_3LE S18_3BE U18_3LE U18_3BE
SUBFORMAT: STD
SAMPLE_BITS: [4 64]
FRAME_BITS: [4 640000]
CHANNELS: [1 10000]
RATE: 48000
PERIOD_TIME: (21333 21334)
PERIOD_SIZE: 1024
PERIOD_BYTES: [512 81920000]
PERIODS: [2 16]
BUFFER_TIME: (42666 341334)
BUFFER_SIZE: [2048 16384]
BUFFER_BYTES: [1024 1310720000]
TICK_TIME: ALL
[000000000067fea8] alsa audio output debug: using channels map 0, type 1, 2 channel(s)
[000000000067fea8] alsa audio output debug: final HW setup:
ACCESS: RW_INTERLEAVED
FORMAT: FLOAT_LE
SUBFORMAT: STD
SAMPLE_BITS: 32
FRAME_BITS: 64
CHANNELS: 2
RATE: 48000
PERIOD_TIME: (21333 21334)
PERIOD_SIZE: 1024
PERIOD_BYTES: 8192
PERIODS: 16
BUFFER_TIME: (341333 341334)
BUFFER_SIZE: 16384
BUFFER_BYTES: 131072
TICK_TIME: 0
[000000000067fea8] alsa audio output debug: initial software parameters:
tstamp_mode: NONE
tstamp_type: MONOTONIC
period_step: 1
avail_min: 1024
start_threshold: 1
stop_threshold: 16384
silence_threshold: 0
silence_size: 0
boundary: 4611686018427387904
[000000000067fea8] alsa audio output debug: final software parameters:
tstamp_mode: NONE
tstamp_type: MONOTONIC
period_step: 1
avail_min: 1024
start_threshold: 1
stop_threshold: 16384
silence_threshold: 0
silence_size: 0
boundary: 4611686018427387904
[000000000067fea8] alsa audio output warning: device cannot be paused
[000000000067fea8] core audio output debug: output 'f32l' 48000 Hz Stereo frame=1 samples/8 bytes
[00007f729c005358] core volume debug: looking for audio volume module matching "any": 2 candidates
[00007f729c005358] core volume debug: using audio volume module "float_mixer"
[000000000067fea8] core audio output debug: input 'f32l' 44100 Hz Stereo frame=1 samples/8 bytes
[00007f729c0091d8] core audio filter debug: looking for audio filter module matching "scaletempo": 14 candidates
[00007f729c0091d8] scaletempo audio filter debug: format: 44100 rate, 2 nch, 4 bps, fl32
[00007f729c0091d8] scaletempo audio filter debug: params: 30 stride, 0,200 overlap, 14 search
[00007f729c0091d8] scaletempo audio filter debug: 1,000 scale, 1323,000 stride_in, 1323 stride_out, 1059 standing, 264 overlap, 617 search, 2204 queue, fl32 mode
[00007f729c0091d8] core audio filter debug: using audio filter module "scaletempo"
[000000000067fea8] core audio output debug: conversion: 'f32l'->'f32l' 44100 Hz->44100 Hz Stereo->Stereo
[000000000067fea8] core audio output debug: conversion pipeline complete
[000000000067fea8] core audio output debug: conversion: 'f32l'->'f32l' 44100 Hz->44100 Hz Stereo->Stereo
[000000000067fea8] core audio output debug: conversion pipeline complete
[00007f729c0457c8] core audio resampler debug: looking for audio resampler module matching "any": 3 candidates
[00007f729c0457c8] core audio resampler debug: using audio resampler module "samplerate"
[00007f72a40013c8] connmgr stream debug: outgoing request:
GET /p/1741931/sp/174193100/serveFlavor/entryId/0_p9t9o3a3/v/12/flavorId/0_4bs4kcvb/name/a.mp4 HTTP/1.1
Host: chip-a.akamaihd.net
Accept: */*
Accept-Language: de
User-Agent: VLC/3.0.0-git LibVLC/3.0.0-git
If-Match: "3a1794b0-3a2b40"
Range: bytes=3812159-

[00007f72a40013c8] connmgr stream debug: incoming response:
HTTP/1.1 206 Partial Content
Last-Modified: Sun, 19 Nov 2000 08:52:00 GMT
ETag: "3a1794b0-3a2b40"
Server: nginx/1.8.0
Content-Type: video/mp4
X-Vod-Me: ny-front-vod4
X-Vod-Session: 328908426
Access-Control-Allow-Headers: Origin,Range,Accept-Encoding,Referer,Cache-Control
Access-Control-Expose-Headers: Server,Content-Length,Content-Range,Date
Access-Control-Allow-Methods: GET, HEAD, OPTIONS
Access-Control-Allow-Origin: *
Accept-Ranges: bytes
Cache-Control: max-age=8018121
Expires: Fri, 01 Sep 2017 04:12:58 GMT
Date: Wed, 31 May 2017 08:57:37 GMT
Content-Range: bytes 3812159-3812159/3812160
Content-Length: 1
Connection: keep-alive

[00007f72a40013c8] connmgr stream debug: resolving chip-a.akamaihd.net ...
[00007f72a40013c8] connmgr stream debug: outgoing request:
GET /p/1741931/sp/174193100/serveFlavor/entryId/0_p9t9o3a3/v/12/flavorId/0_4bs4kcvb/name/a.mp4 HTTP/1.1
Host: chip-a.akamaihd.net
Accept: */*
Accept-Language: de
User-Agent: VLC/3.0.0-git LibVLC/3.0.0-git
If-Match: "3a1794b0-3a2b40"
Range: bytes=46114-

[00007f72a40013c8] connmgr stream debug: incoming response:
HTTP/1.1 206 Partial Content
Last-Modified: Sun, 19 Nov 2000 08:52:00 GMT
ETag: "3a1794b0-3a2b40"
Server: nginx/1.8.0
Content-Type: video/mp4
X-Vod-Me: ny-front-vod4
X-Vod-Session: 328908426
Access-Control-Allow-Headers: Origin,Range,Accept-Encoding,Referer,Cache-Control
Access-Control-Expose-Headers: Server,Content-Length,Content-Range,Date
Access-Control-Allow-Methods: GET, HEAD, OPTIONS
Access-Control-Allow-Origin: *
Accept-Ranges: bytes
Cache-Control: max-age=8018168
Expires: Fri, 01 Sep 2017 04:13:45 GMT
Date: Wed, 31 May 2017 08:57:37 GMT
Content-Range: bytes 46114-3812159/3812160
Content-Length: 3766046
Connection: keep-alive

vlc work ok

comment:3 Changed 2 months ago by cehoyos

  • Component changed from ffplay to avformat
  • Keywords http added
  • Reproduced by developer set
  • Resolution set to fixed
  • Status changed from new to closed

Fixed by Jacek Jendrzej in e2f8f14052d99d7710cda0a821e236765b315d0b

Note: See TracTickets for help on using tickets.